import User from './user/User';
import Request from './../lib/request/Request';
import * as _misc from './../util/Misc';
import I18nInterface from './../lib/i18n/interfaces/I18n';
import TranslationParser from './../lib/i18n/TranslationParser';
import Client from './../lib/client/Client';
import ServiceClient from './../lib/services/ServiceClient';
import IText from './../lib/i18n/interfaces/translations/IText';
export default class FrontendSDK {
    private static instance;
    private client?;
    private constructor();
    getUser(jwt: string): User;
    getRequest(endpoint: string): Request;
    get misc(): typeof _misc;
    getTranslator(lang: string, texts: IText): I18nInterface;
    getTranslationParser(dir: string): TranslationParser;
    getClient(mainTokenKey: string): Client;
    getServiceClient(serviceKey: string, mainTokenKey: string): ServiceClient;
    static getInstance(): FrontendSDK;
    static isValidJWT(jwt: string): boolean;
    logoutUser(url: string, project_key: string): void;
    goToProfileSetting(url: string): void;
    goToAccountSetting(url: string): void;
    getCountNewNotification(ident_endpoint: string): Promise<number>;
    goToNotification(url: string): void;
}
//# sourceMappingURL=FrontendSDK.d.ts.map