import { default as IRequest } from './interfaces/IRequest';
export declare type IError<T = Record<string, unknown>> = T & {
    errors?: Array<string>;
};
export interface IResponse<T> extends Response {
    json(): Promise<IError<T>>;
}
export default class Request implements IRequest {
    protected endpoint: string;
    protected token: string;
    protected tokenKey: string;
    constructor(endpoint?: string);
    getToken(): string;
    setToken(token: string): void;
    getTokenKey(): string;
    setTokenKey(tokenKey: string): void;
    getEndpoint(): string;
    setEndpoint(endpoint: string): void;
    get<T = Record<string, unknown>>(path: string, options?: RequestInit | undefined): Promise<IResponse<T>>;
    post<T = Record<string, unknown>>(path: string, body: BodyInit, options?: RequestInit | undefined): Promise<IResponse<T>>;
    put<T = Record<string, unknown>>(path: string, body: BodyInit, options?: RequestInit | undefined): Promise<IResponse<T>>;
    patch<T = Record<string, unknown>>(path: string, body: BodyInit, options?: RequestInit | undefined): Promise<IResponse<T>>;
    delete<T = Record<string, unknown>>(path: string, options?: RequestInit | undefined): Promise<IResponse<T>>;
    request<T = Record<string, unknown>>(path: string, options: RequestInit): Promise<IResponse<T>>;
    protected composeUrl(path: string, query?: string): URL;
    private setDefaultOptions;
}
//# sourceMappingURL=Request.d.ts.map