import { IUser, IHeader, IPayload } from './interfaces';
export default class User implements IUser {
    protected jwt: string;
    protected permissions: Array<string>;
    protected roles: Array<string>;
    constructor(jwt: string);
    getJwtToken(): string;
    getPayload(): IPayload;
    getHeader(): IHeader;
    isAuthenticated(): boolean;
    isOwner(): boolean;
    isAdmin(): boolean;
    getLastLogin(): number;
    hasPermission(name: string): boolean;
    hasRole(name: string): boolean;
    getLang(): string;
    static isValidJWT(jwt: string): boolean;
    private setPermissions;
    private setRoles;
}
//# sourceMappingURL=User.d.ts.map